Module org.jfree.chart3d
Package org.jfree.chart3d.renderer

# Class AbstractColorScale

java.lang.Object
org.jfree.chart3d.renderer.AbstractColorScale

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `GradientColorScale`, `RainbowScale`

public abstract class AbstractColorScale extends Object implements Serializable
An abstract class from which a `ColorScale` implementation can be derived.
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

Since:
  1.1
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractColorScale(Range range)`
Creates a new color scale for the specified data value range.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Tests this color scale for equality with an arbitrary object.
`Range`
`getRange()`
Returns the range of data values over which the scale is defined.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractColorScale

protected AbstractColorScale(Range range)
Creates a new color scale for the specified data value range.

Parameters:
  `range` - the data value range (`null` not permitted).

## Method Details

### getRange

public Range getRange()
Returns the range of data values over which the scale is defined. This is specified via the constructor and once set cannot be changed.

Returns:
  The range (never `null`).

### equals

public boolean equals(Object obj)
Tests this color scale for equality with an arbitrary object.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.